---
page_source: https://juspay.io/in/docs/ec-headless/cordova/mandates/payment-methods-api
page_title: Payment Methods API
---

## API Version: default


# Payment Methods



Gives list of all the payment methods available for your account. ## Endpoints:
- Sandbox: https://sandbox.juspay.in/merchants/{merchant_id}/paymentmethods

- Production: https://api.juspay.in/merchants/{merchant_id}/paymentmethods

## Request Type: 
GET

## Headers:

#### x-merchantid:
Merchant ID provided by Juspay
- Tags: String, Mandatory

#### x-routing-id:
We recommend passing the customer_id as the x-routing-id. If the customer is checking out as a guest, you can pass an alternative ID that helps track the payment session lifecycle. For example, this could be an Order ID or Cart ID.

> **Warning**
> This ID is associated with the customer. It plays a key role in ensuring consistency and maintaining connections across different systems. If you fail to pass the same x-routing-id for the same customer in all related API calls, it could lead to issues with API functionality. Therefore, it’s crucial that you use the same x-routing-id for all requests tied to the same customer.


- Value: customer_1122
- Tags: String, Required
## Sample Code Snippets:
### Sample Request:

#### Request Code Snippet:

```request
curl -X GET https://api.juspay.in/merchants/guest/paymentmethods

curl -X GET https://api.juspay.in/merchants/guest/paymentmethods?options.add_outage=true
```

### Sample Response:

#### Payment Methods:
```json
{
  "payment_methods": [
    {
      "payment_method_type": "CARD",
      "payment_method": "VISA",
      "description": "Visa"
    },
    {
      "payment_method_type": "CARD",
      "payment_method": "MASTER",
      "description": "Master Card"
    },
    {
      "payment_method_type": "NB",
      "payment_method": "NB_HDFC",
      "description": "HDFC"
    },
    {
      "payment_method_type": "WALLET",
      "payment_method": "PAYTM",
      "description": "Paytm"
    }
  ]
}
```

#### Emandate Payment Methods:
```json
{
  "payment_methods": [
    {
      "description": "Pay with UPI",
      "payment_method": "UPI",
      "payment_method_type": "UPI"
    },
    {
      "description": "Visa",
      "payment_method": "VISA",
      "payment_method_type": "CARD"
    },
    {
      "description": "Mastercard",
      "payment_method": "MASTER",
      "payment_method_type": "CARD"
    },
    {
      "description": "Rupay",
      "payment_method": "RUPAY",
      "payment_method_type": "CARD"
    },
    {
      "description": "HDFC Bank",
      "payment_method": "NB_HDFC",
      "payment_method_type": "NB"
    },
    {
      "description": "ICICI Netbanking",
      "payment_method": "NB_ICICI",
      "payment_method_type": "NB"
    },
    {
      "description": "Axis Bank",
      "payment_method": "NB_AXIS",
      "payment_method_type": "NB"
    }
  ],
  "emandate_payment_methods": [
    {
      "description": "UPI Collect",
      "payment_method": "COLLECT",
      "payment_method_type": "UPI"
    },
    {
      "description": "UPI Intent Pay",
      "payment_method": "PAY",
      "payment_method_type": "UPI"
    },
    {
      "payment_method_type": "CARD",
      "payment_method": "JP_HDFC",
      "description": "HDFC Bank"
    },
    {
      "payment_method_type": "NB",
      "payment_method": "JP_HDFC",
      "description": "HDFC Bank"
    },
    {
      "payment_method_type": "CARD",
      "payment_method": "JP_AXIS",
      "description": "Axis Bank"
    },
    {
      "payment_method_type": "NB",
      "payment_method": "JP_AXIS",
      "description": "Axis Bank"
    }
  ]
}
```

#### Direct Wallet Debit Supported Payment Methods:
```json
{
  "payment_methods": [
    {
      "payment_method_type": "WALLET",
      "payment_method": "AMAZONPAY",
      "description": "Amazon Pay",
      "wallet_direct_debit_support": true
    },
    {
      "payment_method_type": "WALLET",
      "payment_method": "PAYPAL",
      "description": "PAYPAL",
      "wallet_direct_debit_support": false
    },
    {
      "payment_method_type": "WALLET",
      "payment_method": "PAYTM",
      "description": "Paytm",
      "wallet_direct_debit_support": true
    },
    {
      "payment_method_type": "NB",
      "payment_method": "NB_AXIS",
      "description": "Axis Bank"
    },
    {
      "payment_method_type": "NB",
      "payment_method": "NB_BOI",
      "description": "Bank of India"
    },
    {
      "payment_method_type": "NB",
      "payment_method": "NB_BOM",
      "description": "Bank of Maharashtra"
    },
    {
      "payment_method_type": "NB",
      "payment_method": "NB_CBI",
      "description": "Central Bank Of India"
    },
    {
      "payment_method_type": "UPI",
      "payment_method": "UPI",
      "description": "Pay with UPI"
    },
    {
      "payment_method_type": "CARD",
      "payment_method": "VISA",
      "description": "Visa"
    },
    {
      "payment_method_type": "CARD",
      "payment_method": "MASTER",
      "description": "Mastercard"
    },
    {
      "payment_method_type": "CARD",
      "payment_method": "RUPAY",
      "description": "Rupay"
    }
  ]
}
```

#### Gateway Reference ID for Payment Methods:
```json
{
  "payment_methods": [
    {
      "supported_reference_ids": [
        "referenceId1",
        "referenceId2"
      ],
      "payment_method_type": "NB",
      "payment_method": "NB_AXIS",
      "description": "Axis Bank"
    },
    {
      "supported_reference_ids": [],
      "description": "Bank of India",
      "payment_method": "NB_BOI",
      "payment_method_type": "NB"
    },
    {
      "supported_reference_ids": [
        "referenceId1"
      ],
      "payment_method_type": "NB",
      "payment_method": "NB_BOM",
      "description": "Bank of Maharashtra"
    },
    {
      "supported_reference_ids": [],
      "payment_method_type": "NB",
      "payment_method": "NB_CBI",
      "description": "Central Bank Of India"
    },
    {
      "supported_reference_ids": [],
      "payment_method_type": "UPI",
      "payment_method": "UPI",
      "description": "Pay with UPI"
    },
    {
      "supported_reference_ids": [],
      "payment_method_type": "CARD",
      "payment_method": "VISA",
      "description": "Visa"
    },
    {
      "supported_reference_ids": [],
      "payment_method_type": "CARD",
      "payment_method": "MASTER",
      "description": "Mastercard"
    },
    {
      "supported_reference_ids": [
        "referenceId1",
        "referenceId2",
        "referenceId3"
      ],
      "payment_method_type": "CARD",
      "payment_method": "RUPAY",
      "description": "Rupay"
    }
  ]
}
```

#### Outages:
```json
{
  "outage": [
    {
      "status": "DOWN",
      "description": "Visa",
      "sub_details": [
          {
              "status": "DOWN",
              "card_type": "CREDIT"
          },
          {
              "status": "DOWN",
              "card_type": "DEBIT"
          }
      ],
      "payment_method": "VISA",
      "payment_method_type": "CARD"
    },
    {
      "stage": "Merchant",
      "status": "FLUCTUATE",
      "payment_method": "RUPAY",
      "payment_method_type": "CARD",
      "issuer_name": "Bank of Baroda",
      "juspay_bank_code": "JP_BOB",
      "description": "Rupay"
    },
    {
      "stage": "Global",
      "status": "FLUCTUATE",
      "payment_method": "NB_UBI",
      "payment_method_type": "NB",
      "issuer_name": "Union Bank of India",
      "juspay_bank_code": "JP_UBI",
      "description": "Union Bank of India"
    },
    {
      "stage": "Global",
      "status": "FLUCTUATE",
      "payment_method": "FREECHARGE",
      "payment_method_type": "WALLET",
      "issuer_name": "Freecharge",
      "juspay_bank_code": "JP_FREECHARGE",
      "description": "Freecharge Wallet"
    },
    {
      "stage": "Merchant",
      "status": "DOWN",
      "payment_method": "UPI",
      "payment_method_type": "UPI",
      "txn_type": "UPI_COLLECT",
      "description": "Pay with UPI",
      "sub_details": [
        {
          "stage": "Merchant",
          "status": "DOWN",
          "upi_handle": "okhdfcbank"
        },
        {
          "stage": "Merchant",
          "status": "DOWN",
          "upi_handle": "okaxis"
        },
        {
          "stage": "Merchant",
          "status": "DOWN",
          "upi_handle": "upi"
        },
        {
          "stage": "Merchant",
          "status": "DOWN",
          "upi_handle": "axl"
        }
      ]
    },
    {
      "stage": "Global",
      "status": "DOWN",
      "payment_method": "UPI",
      "payment_method_type": "UPI",
      "txn_type": "UPI_PAY",
      "description": "Pay with UPI",
      "sub_details": [
        {
          "stage": "Global",
          "status": "FLUCTUATE",
          "upi_app": "com.phonepe.app"
        },
        {
          "stage": "Global",
          "status": "FLUCTUATE",
          "upi_app": "net.one97.paytm"
        }
      ]
    },
    {
      "stage": "Global",
      "status": "FLUCTUATE",
      "payment_method": "UPI",
      "payment_method_type": "UPI",
      "txn_type": "UPI_INAPP",
      "description": "Pay with UPI",
      "sub_details": [
        {
          "stage": "Global",
          "status": "DOWN",
          "upi_app": "com.phonepe.app"
        },
        {
          "stage": "Global",
          "status": "FLUCTUATE",
          "upi_app": "net.one97.paytm"
        }
      ]
    }
  ]
}
```

#### TPV Payment Methods:
```json
{
"tpv_payment_methods": [
        {
            "description": "Allahabad Bank",
            "juspay_bank_code": "JP_ALLB",
            "payment_method": "JP_ALLB",
            "payment_method_type": "NB"
        },
        {
            "description": "Andhra Bank",
            "juspay_bank_code": "JP_ANDHRA",
            "payment_method": "JP_ANDHRA",
            "payment_method_type": "NB"
        },
        {
            "description": "AU Small Finance Bank",
            "juspay_bank_code": "JP_AUB",
            "payment_method": "JP_AUB",
            "payment_method_type": "NB"
        },
        {
            "description": "Axis Bank",
            "juspay_bank_code": "JP_AXIS",
            "payment_method": "JP_AXIS",
            "payment_method_type": "NB"
        },
        {
            "description": "Bandhan Bank",
            "juspay_bank_code": "JP_BANDHAN",
            "payment_method": "JP_BANDHAN",
            "payment_method_type": "NB"
        },
        {
            "description": "BOB Card",
            "juspay_bank_code": "JP_BOB",
            "payment_method": "JP_BOB",
            "payment_method_type": "NB"
        },
        {
            "description": "Bank of India",
            "juspay_bank_code": "JP_BOI",
            "payment_method": "JP_BOI",
            "payment_method_type": "NB"
        },
        {
            "description": "Bank of Maharashtra",
            "juspay_bank_code": "JP_BOM",
            "payment_method": "JP_BOM",
            "payment_method_type": "NB"
        },
        {
            "description": "The Catholic Syrian Bank",
            "juspay_bank_code": "JP_CSB",
            "payment_method": "JP_CSB",
            "payment_method_type": "NB"
        },
        {
            "description": "Canara Bank",
            "juspay_bank_code": "JP_CANR",
            "payment_method": "JP_CANR",
            "payment_method_type": "NB"
        },
        {
            "description": "Central Bank of India",
            "juspay_bank_code": "JP_CBI",
            "payment_method": "JP_CBI",
            "payment_method_type": "NB"
        },
        {
            "description": "City Union Bank",
            "juspay_bank_code": "JP_CUB",
            "payment_method": "JP_CUB",
            "payment_method_type": "NB"
        },
        {
            "description": "Corporation Bank",
            "juspay_bank_code": "JP_CORP",
            "payment_method": "JP_CORP",
            "payment_method_type": "NB"
        },
        {
            "description": "Deutsche Bank",
            "juspay_bank_code": "JP_DEUT",
            "payment_method": "JP_DEUT",
            "payment_method_type": "NB"
        },
        {
            "description": "DCB",
            "juspay_bank_code": "JP_DCB",
            "payment_method": "JP_DCB",
            "payment_method_type": "NB"
        },
        {
            "description": "Dhanalakshmi Bank",
            "juspay_bank_code": "JP_DLS",
            "payment_method": "JP_DLS",
            "payment_method_type": "NB"
        },
        {
            "description": "Equitas Bank",
            "juspay_bank_code": "JP_EQUITAS",
            "payment_method": "JP_EQUITAS",
            "payment_method_type": "NB"
        },
        {
            "description": "Federal Bank",
            "juspay_bank_code": "JP_FED",
            "payment_method": "JP_FED",
            "payment_method_type": "NB"
        },
        {
            "description": "HDFC Bank",
            "juspay_bank_code": "JP_HDFC",
            "payment_method": "JP_HDFC",
            "payment_method_type": "NB"
        },
        {
            "description": "ICICI Bank",
            "juspay_bank_code": "JP_ICICI",
            "payment_method": "JP_ICICI",
            "payment_method_type": "NB"
        },
        {
            "description": "IDBI Bank",
            "juspay_bank_code": "JP_IDBI",
            "payment_method": "JP_IDBI",
            "payment_method_type": "NB"
        },
        {
            "description": "IDFC FIRST Bank",
            "juspay_bank_code": "JP_IDFC",
            "payment_method": "JP_IDFC",
            "payment_method_type": "NB"
        },
        {
            "description": "Indian Bank",
            "juspay_bank_code": "JP_INDB",
            "payment_method": "JP_INDB",
            "payment_method_type": "NB"
        },
        {
            "description": "Indian Overseas Bank",
            "juspay_bank_code": "JP_IOB",
            "payment_method": "JP_IOB",
            "payment_method_type": "NB"
        },
        {
            "description": "IndusInd Bank",
            "juspay_bank_code": "JP_INDUS",
            "payment_method": "JP_INDUS",
            "payment_method_type": "NB"
        },
        {
            "description": "Jammu and Kashmir Bank",
            "juspay_bank_code": "JP_JNK",
            "payment_method": "JP_JNK",
            "payment_method_type": "NB"
        },
        {
            "description": "Karnataka Bank",
            "juspay_bank_code": "JP_KARN",
            "payment_method": "JP_KARN",
            "payment_method_type": "NB"
        },
        {
            "description": "Karur Vysya Bank",
            "juspay_bank_code": "JP_KVB",
            "payment_method": "JP_KVB",
            "payment_method_type": "NB"
        },
        {
            "description": "Kotak Mahindra Bank",
            "juspay_bank_code": "JP_KOTAK",
            "payment_method": "JP_KOTAK",
            "payment_method_type": "NB"
        },
        {
            "description": "Punjab National Bank",
            "juspay_bank_code": "JP_PNB",
            "payment_method": "JP_PNB",
            "payment_method_type": "NB"
        },
        {
            "description": "Saraswat Bank",
            "juspay_bank_code": "JP_SARASB",
            "payment_method": "JP_SARASB",
            "payment_method_type": "NB"
        },
        {
            "description": "South Indian Bank",
            "juspay_bank_code": "JP_SOIB",
            "payment_method": "JP_SOIB",
            "payment_method_type": "NB"
        },
        {
            "description": "Standard Chartered Bank",
            "juspay_bank_code": "JP_SCB",
            "payment_method": "JP_SCB",
            "payment_method_type": "NB"
        },
        {
            "description": "SBI",
            "juspay_bank_code": "JP_SBI",
            "payment_method": "JP_SBI",
            "payment_method_type": "NB"
        },
        {
            "description": "The Shamrao Vithal Cooperative Bank",
            "juspay_bank_code": "JP_SVCB",
            "payment_method": "JP_SVCB",
            "payment_method_type": "NB"
        },
        {
            "description": "Tamilnad Mercantile Bank",
            "juspay_bank_code": "JP_TMB",
            "payment_method": "JP_TMB",
            "payment_method_type": "NB"
        },
        {
            "description": "Lakshmi Vilas Bank",
            "juspay_bank_code": "JP_LVB",
            "payment_method": "JP_LVB",
            "payment_method_type": "NB"
        },
        {
            "description": "RBL Bank",
            "juspay_bank_code": "JP_RBL",
            "payment_method": "JP_RBL",
            "payment_method_type": "NB"
        },
        {
            "description": "Union Bank of India",
            "juspay_bank_code": "JP_UBI",
            "payment_method": "JP_UBI",
            "payment_method_type": "NB"
        },
        {
            "description": "UCO Bank",
            "juspay_bank_code": "JP_UCOB",
            "payment_method": "JP_UCOB",
            "payment_method_type": "NB"
        },
        {
            "description": "Yes Bank",
            "juspay_bank_code": "JP_YESB",
            "payment_method": "JP_YESB",
            "payment_method_type": "NB"
        },
        {
            "description": "Jammu and Kashmir",
            "juspay_bank_code": "JP_JMK",
            "payment_method": "JP_JMK",
            "payment_method_type": "NB"
        },
        {
            "description": "UPI Intent Pay",
            "juspay_bank_code": "PAY",
            "payment_method": "PAY",
            "payment_method_type": "UPI"
        },
        {
            "description": "UPI Collect",
            "juspay_bank_code": "COLLECT",
            "payment_method": "COLLECT",
            "payment_method_type": "UPI"
        },
        {
            "description": "DBS Bank",
            "juspay_bank_code": "JP_DBS",
            "payment_method": "JP_DBS",
            "payment_method_type": "NB"
        }
    ]
}

```

## Path Parameters:

#### merchant_id:
Merchant Id for which you need to fetch the available payment methods
- Tags: String, Mandatory
## Query Parameters:

#### options.add_emandate_payment_methods:
Pass `true` to fetch payment methods that support EMANDATE transaction
- Tags: boolean

#### options.check_wallet_direct_debit_support:
Pass `true` to fetch the payment methods that support direct debit transactoin
- Tags: boolean

#### options.add_supported_reference_ids:
Pass `true` to fetch supported gateway_reference_id against payment methodsUse this parameter only if you have a use case of Gateway Reference Id. [Click here to read more](https://docs.juspay.in/resources/docs/common-resources/gateway-reference-id)
- Tags: boolean

#### options.add_tpv_payment_methods:
Pass `true` to fetch payment methods that support Third party validation (TPV) transaction
- Tags: boolean

#### options.add_outage:
Pass `true` to fetch applicable outages on payment methods. Each payment method object has a key `juspay_bank_code`. By using `juspay_bank_code` as a lookup in the outage array, you can determine whether the payment method has outage or not. 

**NOTE:** **** The outage basically functions based on a score at each payment method level. We maintain this score from for all Merchant- Payment method combinations. For each transaction created, we penalise this score by a small amount and if the transaction is successful (CHARGED or AUTHORIZED), then we add to this score so as to reward the Merchant <> Payment method.

We have 2 outage statuses: FLUCTUATE and DOWN and we assign these once the score falls below a certain threshold at our end. There is a soft reset from time to time to check the health where we allow a few transactions to go through, based on which we decide whether the Merchant <> Payment method combination is back UP (no outage being faced).

Apart from this, we reset the overall score at a pre-defined interval as well.These thresholds can be customised based on merchant requirements.
- Tags: boolean
## API Responses:
### 200:

#### payment methods:
- Value:
  - **Payment_method_type**:
    - Tags: String
  - **Payment_method**:
    - Tags: String
  - **Description**:
    - Tags: String
- Tags: JSON

#### emandate payment methods:
- Value:
  - **Payment_methods**:
    - Value:
      - **Description**:
        - Tags: String
      - **Payment_method**:
        - Tags: String
      - **Payment_method_type**:
        - Tags: String
    - Tags: Array of objects
  - **Emandate_payment_methods**:
    - Value:
      - **Description**:
        - Tags: String
      - **Payment_method**:
        - Tags: String
      - **Payment_method_type**:
        - Tags: String
    - Tags: Array of objects
- Tags: JSON

#### direct wallet debit supported payment methods:
- Value:
  - **Payment_methods**:
    - Value:
      - **Payment_method_type**:
        - Tags: String
      - **Payment_method**:
        - Tags: String
      - **Description**:
        - Tags: String
      - **Wallet_direct_debit_support**:
        - Tags: boolean
    - Tags: Array of objects
- Tags: JSON

#### gateway reference ID for payment methods:
- Value:
  - **Payment_methods**:
    - Value:
      - **Supported_reference_ids**:
        - Tags: Array of strings
      - **Payment_method_type**:
        - Tags: String
      - **Payment_method**:
        - Tags: String
      - **Description**:
        - Tags: String
    - Tags: Array of Objects
- Tags: JSON

#### outages:
- Value:
  - **Outage**:
    - Value:
      - **Status**:
        - Tags: String
      - **Payment_method**:
        - Tags: String
      - **Payment_method_type**:
        - Tags: String
      - **Juspay_bank_code**:
        - Tags: String
      - **Description**:
        - Tags: String
    - Tags: Array of objects
  - **Payment_methods**:
    - Value:
      - **Payment_method**:
        - Tags: String
      - **Payment_method_type**:
        - Tags: String
      - **Description**:
        - Tags: String
    - Tags: Array of objects
- Tags: JSON

#### tpv payment methods:
- Value:
  - **Tpv_payment_methods**:
    - Value:
      - **Payment_method**:
        - Tags: String
      - **Payment_method_type**:
        - Tags: String
      - **Description**:
        - Tags: String
    - Tags: Array of objects
  - **Payment_methods**:
    - Value:
      - **Payment_method**:
        - Tags: String
      - **Payment_method_type**:
        - Tags: String
      - **Description**:
        - Tags: String
    - Tags: Array of objects
- Tags: JSON
### 400:

#### status:
- Description: invalid_request_error
- Tags: string

#### error_code:
- Description: nullable
- Tags: string

#### error_message:
- Description: [merchantAccount] cannot be null
- Tags: string
